barnestr

## Class ImageIO

- java.lang.Object
- - barnestr.ImageIO

    public class ImageIO
    extends java.lang.Object

Provides all of the methods necessary for reading and writing Image files of the given types

Author:
  Trevor Barnes

### Constructor Summary

Constructors
Constructor and Description
`ImageIO()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javafx.scene.image.Image` `read(java.io.File file)` Reads a file depending on its file type and returns that data in the form of an image
`void` `write(javafx.scene.image.Image image, java.io.File file)` Writes an image file based on the file type being saved

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageIO

    public ImageIO()

### Method Detail

#### read

    public javafx.scene.image.Image read(java.io.File file)

Reads a file depending on its file type and returns that data in the form of an image

Parameters:
  `file` - the file to be read
Returns:
  Image from file data

#### write

    public void write(javafx.scene.image.Image image,
                      java.io.File file)
               throws java.io.IOException

Writes an image file based on the file type being saved

Parameters:
  `image` - the image that will be written
  `file` - the file that the image will be written to
Throws:
  `java.io.IOException` - if the writing to the file causes a problem